# $Revision: 1.22.2.14 $, $Date: 2008-04-28 05:50:50 $
%include	 /usr/lib/rpm/macros.mono
Summary:	.NET RSS Reader
Summary(pl):	Program do pobierania informacji w formacie RSS
Name:		blam
Version:	1.8.2
Release:	16
License:	GPL v2
Group:		X11/Applications
Source0:	http://ftp.imendio.com/pub/imendio/blam/src/%{name}-%{version}.tar.gz
# Source0-md5:	8cb05faedf60d895d94a5ecf9d10eb8f
Patch0:		%{name}-mozilla.patch
Patch1:		%{name}-mozilla_includes.patch
Patch2:		%{name}-desktop.patch
Patch3:		%{name}-install.patch
Patch4:		%{name}-include.patch
URL:		http://micke.hallendal.net/
BuildRequires:	GConf2-devel >= 2.4.0
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.7
BuildRequires:	dotnet-gecko-sharp-devel >= 0.6
BuildRequires:	dotnet-gtk-sharp-devel >= 1.0
BuildRequires:	dotnet-gtk-sharp-gnome-devel >= 1.0
BuildRequires:	intltool >= 0.25
BuildRequires:	libgnomeui-devel >= 2.2.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	mono-csharp >= 1.1.4
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRequires:	xulrunner-devel >= 1.8.0.4
Requires(post,preun):	GConf2 >= 2.4.0
%requires_eq	xulrunner
ExcludeArch:	alpha i386 sparc sparc64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
.NET RSS Reader.

%description -l pl
Program do pobierania informacji w formacie RSS wykonany w technologii
.NET.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
rm -rf autom4te.cache
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--disable-schemas-install \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%gconf_schema_install blam.schemas

%preun
%gconf_schema_uninstall blam.schemas

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%dir %{_prefix}/lib/%{name}
%attr(755,root,root) %{_libdir}/libblam.so*
%attr(755,root,root) %{_prefix}/lib/%{name}/*.exe
%{_prefix}/lib/%{name}/blam.exe.config
%{_prefix}/lib/%{name}/*.dll
%{_datadir}/%{name}
%{_desktopdir}/*
%{_pixmapsdir}/*
%{_sysconfdir}/gconf/schemas/blam.schemas

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: blam.spec,v $
Revision 1.22.2.14  2008-04-28 05:50:50  glen
- release 16 (xulrunner 1.8.1.14)

Revision 1.22.2.13  2008-04-03 19:23:02  glen
- release 15 (xulrunner 1.8.1.13)

Revision 1.22.2.12  2008-02-08 20:00:50  hawk
- release 14 (xulrunner 1.8.1.12)

Revision 1.22.2.11  2007-12-02 12:35:12  hawk
- release 13 (xulrunner 1.8.1.11)

Revision 1.22.2.10  2007-11-27 21:38:17  glen
- rel 12 (xulrunner 1.8.1.10)

Revision 1.22.2.9  2007-11-09 11:57:50  glen
- xulrunner-1_8_1_9-1_20071102_1

Revision 1.22.2.8  2007-10-20 16:28:25  hawk
- release 10 (xulrunner 1.8.1.8)

Revision 1.22.2.7  2007/09/20 19:45:36  glen
- rel 9 (xulrunner 1.8.1.7)

Revision 1.22.2.6  2007/08/28 14:43:39  glen
- rel 8 (xulrunner 1.8.1.6)

Revision 1.22.2.5  2007/07/18 16:11:18  hawk
- release 7 (xulrunner 1.8.1.5)

Revision 1.22.2.4  2007/06/03 15:10:08  hawk
- release 6, xulrunner 1.8.1.4

Revision 1.22.2.3  2007/03/29 14:22:01  hawk
- release 5

Revision 1.22.2.2  2007/02/26 11:59:09  hawk
- release 4

Revision 1.22.2.1  2007/01/25 14:26:54  hawk
- merged include.patch from HEAD to fix compilation errors
- build with xulrunner, release 3

Revision 1.22  2005/12/01 20:03:34  freetz
- one more %files fix

Revision 1.21  2005/12/01 19:55:13  freetz
- fixed %files, added install patch, run ldconfig in post/postun

Revision 1.20  2005/11/30 22:04:52  freetz
- mono autodeps, exclude not supported archs, rel.2

Revision 1.19  2005/06/20 20:32:23  megabajt
- up to 1.8.2
- proper license

Revision 1.17  2005/05/11 17:05:48  qboosh
- use x8664 macro

Revision 1.16  2005/04/29 18:02:04  paladine
- new style macros, rel. 2

Revision 1.15  2005/02/27 22:20:39  pawcioos
- deleted empty locale

Revision 1.14  2005/01/09 13:33:24  paladine
- updated to 1.6.1
- updated desktop patch
- STBR

Revision 1.13  2004/12/25 18:04:55  qboosh
- automake epoch

Revision 1.12  2004/12/20 02:29:09  zbyniu
- BR: libstdc++-devel

Revision 1.11  2004/11/22 20:54:31  paladine
- added desktop patch
- rel 2

Revision 1.10  2004/11/01 17:50:09  grzegol
- updated to 1.6.0
- removed outdated locale-names patch
- added mozilla and mozilla_includes patches (buildfxes)
- remove no locale in %install

Revision 1.9  2004/09/20 18:19:14  havner
- exlcudearch amd64, no mono for now
- rel 2

Revision 1.8  2004/09/18 17:51:14  aredridel
- up to 1.4.1

Revision 1.7  2004/09/08 12:10:27  grzegol
- updated to 1.4.0

Revision 1.6  2004/09/04 21:01:35  havner
- excludearch alpha

Revision 1.5  2004/08/21 05:10:18  aredridel
- up to 1.2.4

Revision 1.4  2004/08/15 19:00:40  krzak
- mono-csharp already require mono-devel

Revision 1.3  2004/08/04 17:45:24  grzegol
- gpm-friendly Source0 URL

Revision 1.2  2004/08/04 17:26:19  grzegol
- pl, added description
- added locale-names patch (rename locale no -> nb)
- updated and sorted BRs and Rs
- 755 for *.so* and *.exe files
- other cosmetics

Revision 1.1  2004/08/04 16:23:05  aredridel
- added
